import App
def Create(pTorp):

	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(204.0 / 255.0, 102.0 / 255.0, 76.0 / 255.0, 1.000000)	
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(204.0 / 255.0, 153.0 / 255.0, 76.0 / 255.0, 1.000000)

	# Params are:

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/JLSSPhotonCore.tga",
					kCoreColor, 
					0.1,
					2.5,	 
					"data/textures/tactical/JLSSPPhotonGlow.tga", 
					kGlowColor,
					1,	
					0.10,	 
					0.15,	
					"data/textures/tactical/JLSSQuantumBlank.tga",
					kGlowColor,										
					0,		
					0.1,		
					0.14)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.25)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.PHOTON)

	return(0)

def GetLaunchSpeed():
	return(42.0)

def GetLaunchSound():
	return("JLSSovPhoton")

def GetPowerCost():
	return(20.0)

def GetName():
	return("Photon Torpedo")

def GetDamage():
	return 660.0

def GetGuidanceLifetime():
	return 6.0

def GetMaxAngularAccel():
	return 3.0

def GetLifetime():
	return 20.0
